### Method

# Gtk FontDialogchoose_font_and_features_finish

since: 4.10

#### Declaration [src]

    gboolean
    gtk_font_dialog_choose_font_and_features_finish (
      GtkFontDialog* self,
      GAsyncResult* result,
      PangoFontDescription** font_desc,
      char** font_features,
      PangoLanguage** language,
      GError** error
    )

#### Description [src]

Finishes the `gtk_font_dialog_choose_font_and_features()` call and returns the resulting font description and font features.

Available since: 4.10

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the method.

`font_desc`

  Type: `PangoFontDescription`

  Return location for font description.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`font_features`

  Type: `char**`

  Return location for font features.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`language`

  Type: `PangoLanguage`

  Return location for the language.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if a font was selected. Otherwise `FALSE` is returned and `error` is set.